This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1460789 - Ethernet on Dell's Thunberbolt 3 dock (TB16) randomly stops working
Ethernet on Dell's Thunberbolt 3 dock (TB16) randomly stops working
Status: NEW
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-12 14:51 EDT by Christian Kellner
Modified: 2017-10-10 07:30 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Kellner 2017-06-12 14:51:16 EDT
This is a Dell XPS 13 connected to the network via the TB16 dock.
Kernel is: Linux ag13.local 4.12.0-0.rc3.git0.2.fc27.x86_64 #1 SMP Tue May 30 19:36:51 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

Host controller of the dock:
09:00.0 USB controller: ASMedia Technology Inc. ASM1042A USB 3.0 Host Controller

USB network interface in the dock:
/:  Bus 04.Port 1: Dev 1, Class=root_hub, Driver=xhci_hcd/2p, 5000M
    |__ Port 1: Dev 2, If 0, Class=Hub, Driver=hub/7p, 5000M
        |__ Port 2: Dev 3, If 0, Class=Vendor Specific Class, Driver=r8152, 5000M

[32930.573816] usb 4-1.2: new SuperSpeed USB device number 3 using xhci_hcd
[32930.591744] usb 4-1.2: New USB device found, idVendor=0bda, idProduct=8153
[32930.591752] usb 4-1.2: New USB device strings: Mfr=1, Product=2, SerialNumber=6
[32930.591757] usb 4-1.2: Product: USB 10/100/1000 LAN
[32930.591761] usb 4-1.2: Manufacturer: Realtek
[32930.591766] usb 4-1.2: SerialNumber: 000001000000
[32930.739428] usb 4-1.2: reset SuperSpeed USB device number 3 using xhci_hcd

I *sometimes* get the following in the log and with that the ethernet port stops working. 
Jun 12 19:00:04 ag13.local kernel: xhci_hcd 0000:09:00.0: ERROR Transfer event TRB DMA ptr not part of current TD ep_index 2 comp_code 13
Jun 12 19:00:04 ag13.local kernel: xhci_hcd 0000:09:00.0: Looking for event-dma 00000001c3eec010 trb-start 00000001c3eebfe0 trb-end 00000001c3eebfe0 seg-start 00000001c3eeb000 seg-end 00000001c3eebff0
Jun 12 19:00:04 ag13.local kernel: xhci_hcd 0000:09:00.0: ERROR Transfer event TRB DMA ptr not part of current TD ep_index 2 comp_code 13
Jun 12 19:00:04 ag13.local kernel: xhci_hcd 0000:09:00.0: Looking for event-dma 00000001c3eec020 trb-start 00000001c3eebfe0 trb-end 00000001c3eebfe0 seg-start 00000001c3eeb000 seg-end 00000001c3eebff0
Jun 12 19:00:04 ag13.local kernel: xhci_hcd 0000:09:00.0: ERROR Transfer event TRB DMA ptr not part of current TD ep_index 2 comp_code 13
Jun 12 19:00:04 ag13.local kernel: xhci_hcd 0000:09:00.0: Looking for event-dma 00000001c3eec030 trb-start 00000001c3eebfe0 trb-end 00000001c3eebfe0 seg-start 00000001c3eeb000 seg-end 00000001c3eebff0
Jun 12 19:00:04 ag13.local kernel: xhci_hcd 0000:09:00.0: ERROR Transfer event TRB DMA ptr not part of current TD ep_index 2 comp_code 13
Jun 12 19:00:04 ag13.local kernel: xhci_hcd 0000:09:00.0: Looking for event-dma 00000001c3eec040 trb-start 00000001c3eebfe0 trb-end 00000001c3eebfe0 seg-start 00000001c3eeb000 seg-end 00000001c3eebff0
Jun 12 19:00:04 ag13.local kernel: xhci_hcd 0000:09:00.0: ERROR Transfer event TRB DMA ptr not part of current TD ep_index 2 comp_code 13
Jun 12 19:00:04 ag13.local kernel: xhci_hcd 0000:09:00.0: Looking for event-dma 00000001c3eec050 trb-start 00000001c3eebfe0 trb-end 00000001c3eebfe0 seg-start 00000001c3eeb000 seg-end 00000001c3eebff0
Jun 12 19:00:04 ag13.local kernel: xhci_hcd 0000:09:00.0: ERROR Transfer event TRB DMA ptr not part of current TD ep_index 2 comp_code 13
Jun 12 19:00:04 ag13.local kernel: xhci_hcd 0000:09:00.0: Looking for event-dma 00000001c3eec060 trb-start 00000001c3eebfe0 trb-end 00000001c3eebfe0 seg-start 00000001c3eeb000 seg-end 00000001c3eebff0
Jun 12 19:00:04 ag13.local kernel: xhci_hcd 0000:09:00.0: ERROR Transfer event TRB DMA ptr not part of current TD ep_index 2 comp_code 13
Jun 12 19:00:04 ag13.local kernel: xhci_hcd 0000:09:00.0: Looking for event-dma 00000001c3eec070 trb-start 00000001c3eebfe0 trb-end 00000001c3eebfe0 seg-start 00000001c3eeb000 seg-end 00000001c3eebff0
Jun 12 19:00:04 ag13.local kernel: xhci_hcd 0000:09:00.0: ERROR Transfer event TRB DMA ptr not part of current TD ep_index 2 comp_code 13
Jun 12 19:00:04 ag13.local kernel: xhci_hcd 0000:09:00.0: Looking for event-dma 00000001c3eec080 trb-start 00000001c3eebfe0 trb-end 00000001c3eebfe0 seg-start 00000001c3eeb000 seg-end 00000001c3eebff0

earlier in the log (and maybe related):
Jun 12 18:39:08 ag13.local kernel: WARNING: CPU: 0 PID: 0 at net/core/dev.c:5411 net_rx_action+0x2d0/0x3c0
Jun 12 18:39:08 ag13.local kernel: Modules linked in: cdc_ether usbnet r8152 mii snd_usb_audio snd_usbmidi_lib snd_rawmidi rfcomm fuse ccm xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables cmac arc4 bnep sunrpc vfat fat hid_multitouch intel_rapl snd_soc_skl x86_pkg_temp_thermal snd_soc_skl_ipc intel_powerclamp snd_soc_sst_ipc ath10k_pci snd_soc_sst_dsp ath10k_core snd_hda_ext_core
Jun 12 18:39:08 ag13.local kernel:  coretemp snd_soc_sst_match kvm_intel snd_hda_codec_hdmi snd_soc_core kvm mei_wdt mac80211 snd_hda_codec_realtek snd_hda_codec_generic iTCO_wdt snd_compress iTCO_vendor_support i2c_designware_platform i2c_designware_core snd_pcm_dmaengine dell_wmi irqbypass ac97_bus crct10dif_pclmul crc32_pclmul snd_hda_intel dell_laptop dell_smbios dcdbas ghash_clmulni_intel snd_hda_codec intel_cstate uvcvideo intel_uncore videobuf2_vmalloc videobuf2_memops snd_hda_core videobuf2_v4l2 snd_hwdep intel_rapl_perf snd_seq videobuf2_core snd_seq_device ath snd_pcm videodev cfg80211 joydev hci_uart btusb snd_timer btrtl snd rtsx_pci_ms media soundcore memstick i2c_i801 idma64 btbcm mei_me mei btqca btintel intel_pch_thermal shpchp processor_thermal_device intel_lpss_pci intel_soc_dts_iosf bluetooth wmi intel_vbtn
Jun 12 18:39:08 ag13.local kernel:  soc_button_array acpi_als kfifo_buf int3403_thermal ecdh_generic intel_hid intel_lpss_acpi rfkill pinctrl_sunrisepoint intel_lpss sparse_keymap pinctrl_intel industrialio int340x_thermal_zone int3400_thermal acpi_thermal_rel tpm_tis tpm_tis_core acpi_pad tpm btrfs xor i915 rtsx_pci_sdmmc mmc_core raid6_pq i2c_algo_bit drm_kms_helper drm crc32c_intel rtsx_pci serio_raw i2c_hid video
Jun 12 18:39:08 ag13.local kernel: CPU: 0 PID: 0 Comm: swapper/0 Not tainted 4.12.0-0.rc3.git0.2.fc27.x86_64 #1
Jun 12 18:39:08 ag13.local kernel: Hardware name: Dell Inc. XPS 13 9360/05HM5Y, BIOS 1.3.2 01/18/2017
Jun 12 18:39:08 ag13.local kernel: task: ffffffffabe104c0 task.stack: ffffffffabe00000
Jun 12 18:39:08 ag13.local kernel: RIP: 0010:net_rx_action+0x2d0/0x3c0
Jun 12 18:39:08 ag13.local kernel: RSP: 0018:ffff8faabe403eb8 EFLAGS: 00010297
Jun 12 18:39:08 ag13.local kernel: RAX: 0000000000000041 RBX: 00000000ffffffff RCX: ffff8faaa4a81e50
Jun 12 18:39:08 ag13.local kernel: RDX: ffff8fa86f802000 RSI: 00000000fffffe01 RDI: ffffffffc0b476b0
Jun 12 18:39:08 ag13.local kernel: RBP: ffff8faabe403f28 R08: 0000000000000002 R09: 0000000000000000
Jun 12 18:39:08 ag13.local kernel: R10: 0000000000100000 R11: ffffffffab44a0b0 R12: ffff8faaa4a87ba0
Jun 12 18:39:08 ag13.local kernel: R13: 0000000000000040 R14: 0000000000000000 R15: 0000000000000003
Jun 12 18:39:08 ag13.local kernel: FS:  0000000000000000(0000) GS:ffff8faabe400000(0000) knlGS:0000000000000000
Jun 12 18:39:08 ag13.local kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Jun 12 18:39:08 ag13.local kernel: CR2: 00007fd0eee69000 CR3: 000000013fe09000 CR4: 00000000003406f0
Jun 12 18:39:08 ag13.local kernel: Call Trace:
Jun 12 18:39:08 ag13.local kernel:  <IRQ>
Jun 12 18:39:08 ag13.local kernel:  __do_softirq+0xea/0x2bf
Jun 12 18:39:08 ag13.local kernel:  irq_exit+0xfb/0x100
Jun 12 18:39:08 ag13.local kernel:  do_IRQ+0x80/0xd0
Jun 12 18:39:08 ag13.local kernel:  common_interrupt+0x93/0x93
Jun 12 18:39:08 ag13.local kernel: RIP: 0010:cpuidle_enter_state+0x12b/0x2d0
Jun 12 18:39:08 ag13.local kernel: RSP: 0018:ffffffffabe03dc8 EFLAGS: 00000246 ORIG_RAX: ffffffffffffff3b
Jun 12 18:39:08 ag13.local kernel: RAX: ffff8faabe41a0c0 RBX: 0000179af34e9083 RCX: 000000000000001f
Jun 12 18:39:08 ag13.local kernel: RDX: 0000179af34e9083 RSI: ffff8faabe4178d8 RDI: 0000000000000000
Jun 12 18:39:08 ag13.local kernel: RBP: ffffffffabe03e08 R08: cccccccccccccccd R09: 0000000000000018
Jun 12 18:39:08 ag13.local kernel: R10: ffffffffabe03d98 R11: 000000000000070b R12: ffff8faabe423800
Jun 12 18:39:08 ag13.local kernel: R13: 0000000000000000 R14: 0000000000000006 R15: ffffffffabf81838
Jun 12 18:39:08 ag13.local kernel:  </IRQ>
Jun 12 18:39:08 ag13.local kernel:  ? cpuidle_enter_state+0x11b/0x2d0
Jun 12 18:39:08 ag13.local kernel:  cpuidle_enter+0x17/0x20
Jun 12 18:39:08 ag13.local kernel:  call_cpuidle+0x23/0x40
Jun 12 18:39:08 ag13.local kernel:  do_idle+0x18a/0x1e0
Jun 12 18:39:08 ag13.local kernel:  cpu_startup_entry+0x71/0x80
Jun 12 18:39:08 ag13.local kernel:  rest_init+0x77/0x80
Jun 12 18:39:08 ag13.local kernel:  start_kernel+0x450/0x471
Jun 12 18:39:08 ag13.local kernel:  ? early_idt_handler_array+0x120/0x120
Jun 12 18:39:08 ag13.local kernel:  x86_64_start_reservations+0x29/0x2b
Jun 12 18:39:08 ag13.local kernel:  x86_64_start_kernel+0x143/0x166
Jun 12 18:39:08 ag13.local kernel:  secondary_startup_64+0x9f/0x9f
Jun 12 18:39:08 ag13.local kernel: Code: 8b 7e 08 49 83 c6 18 44 89 e9 44 89 fa 4c 89 e6 41 ff d2 4d 8b 16 4d 85 d2 75 e4 4c 8b 75 90 44 89 f8 41 39 c5 0f 8d 95 fe ff ff <0f> ff 41 39 c5 0f 8f 93 fe ff ff 49 8b 44 24 10 a8 04 0f 85 88 
Jun 12 18:39:08 ag13.local kernel: ---[ end trace 3fda2d590db48512 ]---
Comment 1 Christian Kellner 2017-06-12 14:54:30 EDT
There is an upstream patch for the ASM1042A host controller[1] that has been reported to help with the issue (see corresponding launchpad issue[2]).

[1] http://www.spinics.net/lists/linux-usb/msg157958.html
[2] https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1667750
Comment 2 Christian Kellner 2017-06-27 12:15:03 EDT
I added the v5 of the patch[1] to a kernel, scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=20206892

[1] http://www.spinics.net/lists/linux-usb/msg158473.html
Comment 3 Mario Limonciello 2017-07-17 16:44:12 EDT
v5 has landed in the maintainer's tree (to target to 4.13-rcX) along with CC to stable.
https://git.kernel.org/pub/scm/linux/kernel/git/mnyman/xhci.git/commit/?h=for-usb-linus&id=353a73c757c0b856bb95f5e73cf41b10b685258d
Comment 4 Martin Bříza 2017-07-26 06:32:17 EDT
After an initial hiccup with the LAN cable in the dock (and plugging it into a different socket), the performance is now much better (not sure if I can say it's perfect, yet) using the patched kernel.
Thanks!
Comment 5 Christian Kellner 2017-08-22 08:56:22 EDT
For future reference, the mentioned patch git merged upstream, as commit 9da5a1092b13468839b1a864b126cacfb72ad016
It also made it into stable, 4.12.4 I believe, as 5cc9b698a494827b15f74ef70a31d7911d00e52a

So I think this should be fixed (or at least better) in F26, because we currently ship 4.12.5-300.fc26.x86_64
Comment 6 Jiri Eischmann 2017-08-23 06:53:41 EDT
(In reply to Christian Kellner from comment #5)
> For future reference, the mentioned patch git merged upstream, as commit
> 9da5a1092b13468839b1a864b126cacfb72ad016
> It also made it into stable, 4.12.4 I believe, as
> 5cc9b698a494827b15f74ef70a31d7911d00e52a
> 
> So I think this should be fixed (or at least better) in F26, because we
> currently ship 4.12.5-300.fc26.x86_64

The network works, but sadly it corrupts packets. Martin says because of it he has difficulties to download things, connect to services...
Comment 7 Mario Limonciello 2017-08-23 12:12:50 EDT
@Jiri,

Are you sure that's a result of this patch?  This is the first report i've heard of that.
Comment 8 Christian Kellner 2017-08-25 08:10:12 EDT
@Mario, I think what Jiri means is that without the patch it doesn't work well at all but even with the patch the situation is not perfect. Let me cc Benjamin, maybe we can add a test in our Fedora Hardware test suit for that. We still have the TB16 dock in Munich right now, maybe we can be of help.
Comment 9 Jiri Eischmann 2017-08-25 08:16:55 EDT
I'll let Martin speak for himself because it was him who complained about it to me.
I've been using kernel 4.12.8 which should have the patch included since the morning and haven't experienced any noticeable problems with the network.
Comment 10 Martin Bříza 2017-08-25 08:37:27 EDT
Yes, for me, the Ethernet on the Docks is pretty broken. For example, when downloading a whole Koji build with about 13 packages, each time the download got broken at about 4th or 5th package, with (I think) a SSL handshake error. Also when downloading a Fedora ISO 4 times in a row, each of them got corrupted (md5 check just didn't pass).

Also, the USB performance of the dock is terrible, I'm not sure if this is related to the issue the patch in question is supposed to solve but after updating the laptop firmware to 1.2.1.0, my mouse and keyboard get disconnected very often. On the other hand, dock audio works just fine and one would assume all of these devices are on the same USB hub.

I'm currently working around this by plugging a USB-C adapter with ethernet into the Thunderbolt port on the docking station.
Comment 11 Benjamin Berg 2017-08-25 09:22:26 EDT
Martin, could you maybe try disabling RC checksum offloading and see if that helps? Then the corrupted packages should be discarded by the kernel (even if they are only corrupted during the transfer over USB). i.e. try again after running:

  ethtool --offload $DEVICE rx off
Comment 12 Mario Limonciello 2017-08-25 11:55:50 EDT
@Martin

Just to make sure - this is a TB16 not TB15 right?  This is sounding suspiciously like a hardware problem to me.
Comment 13 Jiri Eischmann 2017-08-25 12:16:47 EDT
(In reply to Mario Limonciello from comment #12)
> @Martin
> 
> Just to make sure - this is a TB16 not TB15 right?  This is sounding
> suspiciously like a hardware problem to me.

It's TB16.
You mean the ethernet or USB problem? I think we've started mixing two (most likely) unrelated problems. I have not been able to reproduce the ethernet problem for the whole day. Martin also has Windows 10 installed on his XPS 13, so he could try it there and if the problem still occurs it's very likely a hardware problem.

The USB one doesn't seem like a hardware problem because I'm affected by that, too, after the last firmware update. Devices connected to the USB ports don't work at all or just for a short period of time after they're plugged in.
Comment 14 Mario Limonciello 2017-08-25 12:21:59 EDT
Well i'm not sure if they're related, but since the Ethernet device is a USB device on the hub, I would suspect them to be.

Can you please clarify which XPS machine you guys are affected?  There are at least 4 different XPS models that support TB16.
Please comment your last working and last failed BIOS versions too.
Comment 15 Jiri Eischmann 2017-08-25 13:32:15 EDT
We both have XPS 13 9360. I had problems with Ethernet from the very beginning until I used a patched kernel. But after updating the firmware to 1.3.7 USB devices stopped working*. Now we're on 2.1.0 and they still don't work, no matter if we use the kernel patch or not. I have to have a USB hub connected directly to the laptop. The last working firmware for me was 1.3.5.

* It really depends on the type of the device. The mouse and keyboard don't work at all or just for a very short time after plugging in. I also have a USB sound card. It seems to work, the system identifies the sound card as an audio output, it plays sound, but there are audible corruptions (cracks etc) which don't occur when the sound card is connected directly to the laptop. What I'm experiencing with sound may be similar to what Martin is experiencing with the Ethernet.
Comment 16 Mario Limonciello 2017-08-25 13:51:45 EDT
Ah OK thanks.  I just poked around the Dell forums a little bit and you guys aren't the first ones reporting this on 9360 after upgrade.

http://en.community.dell.com/support-forums/laptop/f/3518/t/20017063?pi41097=1

I'll poke some of the Dell support guys to look at this, it sounds like it might have slipped through the cracks.

I also checked internally on what went into 1.3.6/1.3.7.
At least 1.3.6 had some tweaks for adressing noise which would be most suspicious to me as a possible impact.

For now, can you two downgrade to 1.3.5?  Fwupd probably won't let you, but you can place the .EXE file on a FAT32 partition and do it from F12 menu at POST I expect.
Comment 17 Jiri Eischmann 2017-08-25 14:03:50 EDT
We'll try to downgrade for the time being. BTW I also reported the issue to @DellCaresPRO like Barton George instructed me on Twitter. They said 10 days ago they had people looking into it, but there hasn't been any update since then, so I have no idea if someone is really looking into it and if they've made any progress, and who is "they".
Comment 18 Mario Limonciello 2017-08-25 15:23:29 EDT
I won't be able to shortcut the process by pinging people, but I understand this is being investigated, it will just take some time.
Comment 19 Martin Bříza 2017-08-28 05:05:50 EDT
(In reply to Benjamin Berg from comment #11)
> Martin, could you maybe try disabling RC checksum offloading and see if that
> helps? Then the corrupted packages should be discarded by the kernel (even
> if they are only corrupted during the transfer over USB). i.e. try again
> after running:
> 
>   ethtool --offload $DEVICE rx off

With this, it seems to work alright, thanks! Kernel 4.13.0-0.rc5.git1.1.fc27.x86_64 BTW.

(In reply to Mario Limonciello from comment #16)
> For now, can you two downgrade to 1.3.5?  Fwupd probably won't let you, but
> you can place the .EXE file on a FAT32 partition and do it from F12 menu at
> POST I expect.

I'm able to function this way so I'll probably not go for that - unless it'll be necessary to verify it actually happened between the mentioned versions. 
I'd rather track if there's a new release and then upgrade when it's out and see if it fixes the USB problem.
Comment 20 Martin Bříza 2017-08-30 08:17:03 EDT
Every now and then (especially when downloading large files), the ethernet simply stops working with the following log in dmesg.
Unloading the r8152 module results in gnome-shell dying. After reloading it, ethernet still doesn't work. Disconnecting the Dock in this state kills everything from GDM down to my user session.

[159642.248648] pcieport 0000:00:1c.0: AER: Corrected error received: id=00e0
[159642.248666] pcieport 0000:00:1c.0: PCIe Bus Error: severity=Corrected, type=Data Link Layer, id=00e0(Transmitter ID)                                      
[159642.248680] pcieport 0000:00:1c.0:   device [8086:9d10] error status/mask=00001000/00002000                                                               
[159642.248690] pcieport 0000:00:1c.0:    [12] Replay Timer Timeout            
[159661.087306] xhci_hcd 0000:0a:00.0: port 1 resume PLC timeout
[159667.687492] xhci_hcd 0000:09:00.0: ERROR Transfer event TRB DMA ptr not part of current TD ep_index 2 comp_code 13                                        
[159667.687514] xhci_hcd 0000:09:00.0: Looking for event-dma 00000004694bc010 trb-start 00000003a0cfefe0 trb-end 00000003a0cfefe0 seg-start 00000003a0cfe000 seg-end 00000003a0cfeff0
[159667.687610] xhci_hcd 0000:09:00.0: ERROR Transfer event TRB DMA ptr not part of current TD ep_index 2 comp_code 13                                        
[159667.687627] xhci_hcd 0000:09:00.0: Looking for event-dma 00000004694bc020 trb-start 00000003a0cfefe0 trb-end 00000003a0cfefe0 seg-start 00000003a0cfe000 seg-end 00000003a0cfeff0
[159667.687722] xhci_hcd 0000:09:00.0: ERROR Transfer event TRB DMA ptr not part of current TD ep_index 2 comp_code 13                                        
[159667.687735] xhci_hcd 0000:09:00.0: Looking for event-dma 00000004694bc030 trb-start 00000003a0cfefe0 trb-end 00000003a0cfefe0 seg-start 00000003a0cfe000 seg-end 00000003a0cfeff0
[159667.687829] xhci_hcd 0000:09:00.0: ERROR Transfer event TRB DMA ptr not part of current TD ep_index 2 comp_code 13                                        
[159667.687838] xhci_hcd 0000:09:00.0: Looking for event-dma 00000004694bc040 trb-start 00000003a0cfefe0 trb-end 00000003a0cfefe0 seg-start 00000003a0cfe000 seg-end 00000003a0cfeff0
[159667.687971] xhci_hcd 0000:09:00.0: ERROR Transfer event TRB DMA ptr not part of current TD ep_index 2 comp_code 13                                        
[159667.687988] xhci_hcd 0000:09:00.0: Looking for event-dma 00000004694bc050 trb-start 00000003a0cfefe0 trb-end 00000003a0cfefe0 seg-start 00000003a0cfe000 seg-end 00000003a0cfeff0
[159667.723135] xhci_hcd 0000:09:00.0: ERROR Transfer event TRB DMA ptr not part of current TD ep_index 2 comp_code 13                                        
[159667.723158] xhci_hcd 0000:09:00.0: Looking for event-dma 00000004694bc060 trb-start 00000003a0cfefe0 trb-end 00000003a0cfefe0 seg-start 00000003a0cfe000 seg-end 00000003a0cfeff0
[159667.723202] xhci_hcd 0000:09:00.0: ERROR Transfer event TRB DMA ptr not part of current TD ep_index 2 comp_code 13                                        
[159667.723219] xhci_hcd 0000:09:00.0: Looking for event-dma 00000004694bc070 trb-start 00000003a0cfefe0 trb-end 00000003a0cfefe0 seg-start 00000003a0cfe000 seg-end 00000003a0cfeff0
[159667.723353] xhci_hcd 0000:09:00.0: ERROR Transfer event TRB DMA ptr not part of current TD ep_index 2 comp_code 13                                        
[159667.723377] xhci_hcd 0000:09:00.0: Looking for event-dma 00000004694bc080 trb-start 00000003a0cfefe0 trb-end 00000003a0cfefe0 seg-start 00000003a0cfe000 seg-end 00000003a0cfeff0
[159677.276387] xhci_hcd 0000:0a:00.0: port 1 resume PLC timeout
[159680.097507] r8152 4-1.2:1.0 enp9s0u1u2: Tx timeout
[159680.119840] net_ratelimit: 329 callbacks suppressed
[159680.119852] r8152 4-1.2:1.0 enp9s0u1u2: Tx status -2
[159680.132667] r8152 4-1.2:1.0 enp9s0u1u2: Tx status -2
[159680.142497] r8152 4-1.2:1.0 enp9s0u1u2: Tx status -2
[159680.152489] r8152 4-1.2:1.0 enp9s0u1u2: Tx status -2
[159682.780110] usb 4-1.2: reset SuperSpeed USB device number 3 using xhci_hcd
[159700.007384] xhci_hcd 0000:09:00.0: ERROR Transfer event TRB DMA ptr not part of current TD ep_index 2 comp_code 13
Comment 21 Mario Limonciello 2017-08-30 09:41:16 EDT
As I understand the particular problem linked with the issue in BIOS 1.3.6/1.37 adjusts a voltage regulator (to fix something else; this was an unanticipated/undiscovered regression).  I would recommend for now to downgrade to 1.3.5 until a fixed BIOS is issued.
Comment 22 Martin Bříza 2017-09-05 06:13:36 EDT
It got really annoying lately. How do I downgrade to 1.3.5, please? I can't find it on the Dell website and fwupd doesn't provide anything too.
Comment 23 Martin Bříza 2017-09-11 09:46:40 EDT
Running kernel-4.13.0-1.fc27.x86_64.

BIOS 2.2.1 finally hit the Dell website. I can confirm that with this, the USB overall experience is now much much better (except the occasional mouse stutter but that may as well be on the OS side). There seems to be no problem at all with the dock Ethernet adapter.
Comment 24 Martin Bříza 2017-10-10 07:30:15 EDT
On 4.13.4-300.fc27.x86_64, I still experience the SSL errors when downloading larger amounts of data, like git repositories and such. It gets fixed after disabling RC checksum offloading with the ethtool command you have provided before.

Note You need to log in before you can comment on or make changes to this bug.